$large
$nofloatcalls
      SUBROUTINE RECSYM(REC,SYM,RESULT,N,M)
      REAL*8 REC(N,*), SYM(*), RESULT(N,*)
      REAL*8 S
      INTEGER RROW,RCSR,SCOL
      II=0
      S=0.0D0
      CALL MATFIL(RESULT,S,N*M)
      DO 12 RCSR=1,M
         DO 13 SCOL = 1,RCSR-1
            II=II+1
            DO 14 RROW=1,N
               RESULT(RROW,SCOL) = RESULT(RROW,SCOL) + 
     1               SYM(II)*REC(RROW,RCSR)
               RESULT(RROW,RCSR) = RESULT(RROW,RCSR) +
     1              SYM(II)*REC(RROW,SCOL)
14          CONTINUE
13       CONTINUE
         II = II+1
         DO 15 RROW = 1, N
            RESULT(RROW,RCSR) = RESULT(RROW,RCSR) +
     1         SYM(II)*REC(RROW,RCSR)
15       CONTINUE
12    CONTINUE
      RETURN
      END

